using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.Balance;
using ZR.Model.Models.Balance;

namespace ZR.Service.Business.IBusinessService.Balance
{
    /// <summary>
    /// 库存管理/库存明细表service接口
    ///
    /// @author admin
    /// @date 2023-04-27
    /// </summary>
    public interface IStkBalanceDtlService : IBaseService<StkBalanceDtl>
    {
        PagedInfo<StkBalanceDtlDto> GetList(StkBalanceDtlQueryDto parm);
        PagedInfo<StkBalanceDtlDto> StatList(StkBalanceDtlQueryDto parm);

        int AddStkBalanceDtl(StkBalanceDtl parm);

        int UpdateStkBalanceDtl(StkBalanceDtl parm);

        void TruncateStkBalanceDtl();

        #region 2023 0524 孙亚龙 新增
        List<StkBalanceDtlDto> GetBalanceDtlList(GetOutOperateBalanceQueryDto parm);
        #endregion
    }
}
